Returns the text decoration

- « GmagickDraw::getstrokewidth

- GmagickDraw::gettextencoding »

- PHP Manual
- GmagickDraw
- Returns the text decoration

# GmagickDraw::gettextdecoration

(PECL gmagick >= Unknown)

GmagickDraw::gettextdecoration — Returns the text decoration

### Description

public GmagickDraw::gettextdecoration(): int

Returns the decoration applied when annotating with text.

### Parameters

This function has no parameters.

### Return Values

Returns one of the DECORATION_ constants and 0 if no decoration is set.